@import '../../../assets/styles/vars.css';

.stickybar {
  display: none;
  @media (--media-min-desktop) {
    display: block;
  }
  background-color: var(--white);
  z-index: var(--zindex-navbar);
  position: fixed;
  top: 0;
  width: 100%;
  height: 62px;
  box-shadow: 0 1px 1px 0 #E9ECEF;
  transform: translateY(-100%);
  transition: transform 400ms ease-in-out;
  overflow: hidden;


  & .left-col {
    float: left;
    width: 40%;
    @media (--media-min-desktop) {
      width: 59%;
    }
  }
  & .right-col {
    float: right;
    width: 60%;
    @media (--media-min-desktop) {
      width: 41%;
    }
  }

  & .col {
    display: inline-block;
    float: left;
  }

  & .logo-section {
    padding-left: 15px;
    @media (--media-min-desktop) {
      margin-left: -15px;
      padding-left: 0;
    }

    & .sticky-logo:after {
      content: url("../../../assets/images/icons/chevron.svg");
      margin-left: 5px;
    }
  }

  & .col.pmc-user {
    width: 82px;
    float: right;
    margin-right: -15px;

    & .pmc-connection a.connect-link {
      padding-right: 0;
    }
  }


  & .col.brand-nav {
    &:after {
      border: none;
    }
    & .brand-list {
      width: auto;
      & .le-mag {
        width: 95px;
      }
      & .les-influenceuses {
        width: 210px;
      }
      & .les-testeuses {
        width: 150px;
      }
    }
    & .current {
      & svg {
        margin-top: 19px;
      }
    }
  }

  & .article-title {
    display: none;
    position: relative;
    @media (--media-min-desktop) {
      display: block;
      height: 62px;
      width: 355px;
      color: #000000;
      font-size: 14px;
      line-height: 62px;
      text-align: right;
      float: right;
      white-space: nowrap;
      &:after {
        content: "";
        border-right: 2px solid #F4F3F4;
        height: 30px;
        position: absolute;
        top: 20px;
        right: 0;
      }
      & span {
        vertical-align: sub;
        &:before {
          content: "«";
          padding: 0 5px 0 20px;
        }
        &:after {
          content: "»";
          padding: 0 20px 0 5px;
        }
      }
    }
  }

  & .col.sharebar {
    display: none;
    position: relative;
    &:after {
      content: "";
      border-right: 2px solid #F4F3F4;
      height: 30px;
      position: absolute;
      top: 20px;
      right: 0;
    }
    @media (--media-min-tablet) {
      display: inline-block;
      height: 62px;
      padding: 0 15px;
    }
  }

  &.affix {
    position: fixed;
    top: 0;
    transform: translateY(0);
    overflow: visible;
  }
}

